import { BaseRecord, BaseResource, Filter, ParamsType, SupportedDatabasesType } from 'adminjs';
import { ResourceInfo } from '../info/ResourceInfo';
import { Property } from './Property';
export declare class Resource extends BaseResource {
    static isAdapterFor(resource: any): boolean;
    private knex;
    private propertyMap;
    private tableName;
    private _databaseName;
    private _properties;
    private idColumn;
    constructor(info: ResourceInfo);
    databaseName(): string;
    databaseType(): SupportedDatabasesType | string;
    id(): string;
    properties(): Property[];
    property(path: string): Property | null;
    count(filter: Filter): Promise<number>;
    find(filter: Filter, options: {
        limit?: number;
        offset?: number;
        sort?: {
            sortBy?: string;
            direction?: 'asc' | 'desc';
        };
    }): Promise<BaseRecord[]>;
    findOne(id: string): Promise<BaseRecord | null>;
    findMany(ids: (string | number)[]): Promise<BaseRecord[]>;
    build(params: Record<string, any>): BaseRecord;
    create(params: Record<string, any>): Promise<ParamsType>;
    update(id: string, params: Record<string, any>): Promise<ParamsType>;
    delete(id: string): Promise<void>;
    private filterQuery;
}
